import { TSESLint, TSESTree } from '@typescript-eslint/utils';
export declare const sequelizeTransactionsMustBeCommitted: (node: TSESTree.MethodDefinition | TSESTree.ArrowFunctionExpression | TSESTree.FunctionDeclaration) => boolean;
declare const rule: TSESLint.RuleModule<"sequelizeTransactionsMustBeCommitted", never[], {
    MethodDefinition(node: TSESTree.MethodDefinition): void;
    ArrowFunctionExpression(node: TSESTree.ArrowFunctionExpression): void;
    FunctionDeclaration(node: TSESTree.FunctionDeclaration): void;
}>;
export default rule;
